<?php include_once('psd.php'); // This is a PSD include
$title = 'Example 4'; include_once('inc/header.php');

echo '<p>This example demonstrates of using Debug Points to display
texts and PHP variables. Place the mouse cursor over debug points (green rectangles).</p>
<p>This PHP code generates for you:</p><ul>';

echo "\n".'<li>1. Text output: echo psd_text("Test\t &lt;b&gt;test&lt;/b&gt; test\n")';
	echo psd_text("Test\t <b>test</b> test\n");

echo "</li>\n".'<li>2. HTML output: echo psd_html("Test\t &lt;b&gt;test&lt;/b&gt; test\n")';
	echo psd_html("Test\t <b>test</b> test\n");

echo "</li>\n".'<li>3. Variable content: echo psd_var($x)';
	$x = 3.14; echo psd_var($x);

echo "</li>\n".'<li>4. Multiple variable content: echo psd_var($x, $y, $z)';
	$x = array(1,2,3); $y=true; $z='text'; echo psd_var($x, $y, $z);

echo "</li>\n".'<li>5. Very long text variable with truncation: echo psd_var($x)';
	$x =
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n".
		"1234567890123456789012345678901234567890\n";
	echo psd_var($x);

echo "</li>\n".'<li>6. Using psd_var_export to see arrays and objects: echo psd_var_export($x)';
	$x = array("aaa","bbb","ccc"); echo psd_var_export($x);

echo "</li>\n".'<li>7. Using psd_print_r to see arrays and objects: echo psd_print_r($x)';
	$x = array("aaa","bbb","ccc"); echo psd_print_r($x);

echo "</li>\n".'<li>8. Using psd_zval_dump to see arrays and objects: echo psd_zval_dump($x)';
	$x = array("aaa","bbb","ccc"); echo psd_zval_dump($x);


echo '</li></ul><p>Debug Points also visible in HTML Source Panel.</p>';
include_once('inc/footer.php');
?>
